Debian Bug report logs - #566270
RM: libclass-dbi-loader-relationship-perl/unstable -- RoQA; License problems

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Patrick Schoenfeld <schoenfeld@debian.org>

Date: Fri, 22 Jan 2010 15:30:02 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, schoenfeld@debian.org, debian-release@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#566264; Package ftp.debian.org. (Fri, 22 Jan 2010 15:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Schoenfeld <schoenfeld@debian.org>:
New Bug report received and forwarded. Copy sent to schoenfeld@debian.org, debian-release@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 22 Jan 2010 15:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Schoenfeld <schoenfeld@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: libclass-dbi-loader-relationship-perl/oldstable -- RoQA; License problems
Date: Fri, 22 Jan 2010 16:27:47 +0100
Package: ftp.debian.org
Severity: normal

Hi,

the above mentioned package is currently in a license unclear situation.
There is already a RC bug open for this: #563519
While the copyright falsely claims that is licensed under GPL|Artistic
license there is no such indication in the source. Someone
already tried contacting the upstreams (although the contact is fresh)
and got a bounce for one of the upstreams and no reply from the other.

Its kind of unfortune that this removal will remove other packages
as well (and affect packages which do have users)
but I think we simply *can not* keep the packages in any suite.

Packages affected:
libclass-dbi-loader-relationship-perl
libmaypole-perl
libmaypole-plugin-authentication-usersessioncookie-perl
libmaypole-plugin-upload-perl
maypole
maypole-authentication-usersessioncookie
maypole-plugin-upload
memories

I've checked popcon for maypole and the package itself and they
are below 100..

Best Regards,
Patrick




Bug 566264 cloned as bugs 566269, 566270. Request was from Patrick Schoenfeld <schoenfeld@debian.org> to control@bugs.debian.org. (Fri, 22 Jan 2010 15:42:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: libclass-dbi-loader-relationship-perl/unstable -- RoQA; License problems' from 'RM: libclass-dbi-loader-relationship-perl/oldstable -- RoQA; License problems' Request was from Patrick Schoenfeld <schoenfeld@debian.org> to control@bugs.debian.org. (Fri, 22 Jan 2010 15:42:15 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 22 Jan 2010 18:39:06 GMT) Full text and rfc822 format available.

Notification sent to Patrick Schoenfeld <schoenfeld@debian.org>:
Bug acknowledged by developer. (Fri, 22 Jan 2010 18:39:06 GMT) Full text and rfc822 format available.

Message #14 received at 566270-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 566270-close@bugs.debian.org
Cc: libclass-dbi-loader-relationship-perl@packages.debian.org, libclass-dbi-loader-relationship-perl@packages.qa.debian.org
Subject: Bug#566270: Removed package(s) from unstable
Date: Fri, 22 Jan 2010 18:36:35 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libclass-dbi-loader-relationship-perl |      1.3-2 | source, all

------------------- Reason -------------------
RoQA; License problems
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566270@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/566270

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#566270; Package ftp.debian.org. (Sat, 23 Jan 2010 19:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 23 Jan 2010 19:24:05 GMT) Full text and rfc822 format available.

Message #19 received at 566270@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Alexander Reichle-Schmehl <tolimar@debian.org>, 566303@bugs.debian.org, 566270@bugs.debian.org
Subject: Re: Bug#566303: maypole: FTBFS and uninstalable: libclass-dbi-loader-relationship-perl got removed
Date: Sat, 23 Jan 2010 19:20:42 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2010-01-22 at 19:41 +0100, Alexander Reichle-Schmehl wrote:
> Package: maypole
> Version: 2.11+2.111-2
> Severity: serious
> 
> Hi!
> 
> libclass-dbi-loader-relationship-perl just got removed due to #566270.
> Since your package build-depends on it, this just created an instant FTBFS.
> Sorry, but please look either for alternatives or fix the bugs in
> libclass-dbi-loader-relationship-perl.

I haven't heard from Simon recently but I may be able to track him down.

Ben.

-- 
Ben Hutchings
Any smoothly functioning technology is indistinguishable from a rigged demo.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#566270; Package ftp.debian.org. (Mon, 25 Jan 2010 21:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 25 Jan 2010 21:00:10 GMT) Full text and rfc822 format available.

Message #24 received at 566270@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Patrick Schoenfeld <schoenfeld@debian.org>
Cc: 566269@bugs.debian.org, 566264@bugs.debian.org, 566270@bugs.debian.org
Subject: Re: Bug#566264: RM: libclass-dbi-loader-relationship-perl/oldstable -- RoQA; License problems
Date: Mon, 25 Jan 2010 21:56:02 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jan 22, 2010 at 04:27:47PM +0100, Patrick Schoenfeld wrote:
> Its kind of unfortune that this removal will remove other packages
> as well (and affect packages which do have users)
> but I think we simply *can not* keep the packages in any suite.

The module in question is a Perl 47 liners that only does some syntactic
"sugar" (I'd question even that) for DBI relationships.

>>> quote from documentation >>>
Now instead of saying

    BeerDB::Brewery->has_many(beers => "BeerDB::Beer");
    BeerDB::Beer->has_a(brewery => "BeerDB::Brewery");

    BeerDB::Handpump->has_a(beer => "BeerDB::Beer"); 
    BeerDB::Handpump->has_a(pub => "BeerDB::Pub");
    BeerDB::Pub->has_many(beers => [ BeerDB::Handpump => 'beer' ]);
    BeerDB::Beer->has_many(pubs => [ BeerDB::Handpump => 'pub' ]);


Just say

    $loader->relationship( "a brewery produces beers" );
    $loader->relationship( "a pub has beers on handpumps" );
>>> end quote >>>

We are distributing this thing since 2004.  Now you rush to remove it from
everywhere without caring about its reverse dependencies which would even
be easily fixable.  If someone had dropped a bomb upon us with this it
would've exploded some time ago already.

I won't rush to remove this from stable and oldstable just yet.  The timing
is a too unfortunate for this.  Let's replace the few relationships with
sane lines and not drop packages out of stable in a hurry (i.e. 3h between
bug filing and removal from unstable are weird).

If the ftpmasters choose to overrule me, so be it, but I encourage them
to look at the simplicity of the package and what it does first.  Yes,
there might be some regexps, but still.

> I've checked popcon for maypole and the package itself and they
> are below 100..

Not everyone believes^Wsubmits to popcon.

Kind regards,
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#566270; Package ftp.debian.org. (Tue, 26 Jan 2010 08:03:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Schoenfeld <schoenfeld@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 26 Jan 2010 08:03:20 GMT) Full text and rfc822 format available.

Message #29 received at 566270@bugs.debian.org (full text, mbox):

From: Patrick Schoenfeld <schoenfeld@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 566269@bugs.debian.org, 566264@bugs.debian.org, 566270@bugs.debian.org
Subject: Re: Bug#566264: RM: libclass-dbi-loader-relationship-perl/oldstable -- RoQA; License problems
Date: Tue, 26 Jan 2010 08:56:01 +0100
Hi Philipp,

On Mon, Jan 25, 2010 at 09:56:02PM +0100, Philipp Kern wrote:
> On Fri, Jan 22, 2010 at 04:27:47PM +0100, Patrick Schoenfeld wrote:
> > Its kind of unfortune that this removal will remove other packages
> > as well (and affect packages which do have users)
> > but I think we simply *can not* keep the packages in any suite.
> 
> The module in question is a Perl 47 liners that only does some syntactic
> "sugar" (I'd question even that) for DBI relationships.

so what exactly is your point here? Might a 47 liner not need a license?

> We are distributing this thing since 2004.  Now you rush to remove it from
> everywhere without caring about its reverse dependencies which would even
> be easily fixable.  If someone had dropped a bomb upon us with this it
> would've exploded some time ago already.

Which is, honestly speaking, a bad thing that should not have happened
in the first place. Fact is: The licensing of the code is totally
unclear. We do not even have the right to distribute it, because we
never received a license at all. I cannot really understand how you
can argue for contempt of legality just because we already did it
a long time (and in fact tricked our users by writing something
about GPL|Artistic in the copyright file).

> I won't rush to remove this from stable and oldstable just yet.  The timing
> is a too unfortunate for this.  Let's replace the few relationships with
> sane lines and not drop packages out of stable in a hurry (i.e. 3h between
> bug filing and removal from unstable are weird).

Well, if the library is replaceable its a good idea to fix the
reverse depends. However I'm not sure if this can keep us from removing
it. But you wear the hat to decide that. I just spotted a - imho - major
problem and reported it.

> If the ftpmasters choose to overrule me, so be it, but I encourage them
> to look at the simplicity of the package and what it does first.  Yes,
> there might be some regexps, but still.
> 
> > I've checked popcon for maypole and the package itself and they
> > are below 100..
> 
> Not everyone believes^Wsubmits to popcon.

Thats known to all involved parties. But this argument does not help
much if the argument is "we are doing something we must not do"
and apart from that our only indication.

Regards,
Patrick




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Feb 2010 07:34:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:45:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.